Bug 27109 - 6.2->7.0 upgrade anaconda crash
6.2->7.0 upgrade anaconda crash
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-11 21:36 EST by Spence Jackson
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-11 21:37:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Spence Jackson 2001-02-11 21:36:59 EST
Attempting update from RedHat 6.2 to 7.0
Installing from hard drive.
Anaconda crashes during installation after
announcing 'checking packages'.
Selection of text-mode install has no effect.
Update image 20001009 has no effect (i.e. asks
for and uses the image disk, but subsequent
failure is identical).
System is dual-boot Win98 and RedHat6.2, using
PowerQuest PartitionMagic and BootMagic.

Debug info as follows:

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1028, in run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 279, in
__call__
  File "/tmp/updates/todo.py", line 941, in upgradeFindPackages
    self.getCompsList ()
  File "/tmp/updates/todo.py", line 539, in getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43,
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in
__getitem__
KeyError: kernel-utils

Local variables in innermost frame:
self: <comps.HeaderList instance at 832b840>
item: kernel-utils

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'ext2'
p7
sS'isMounted'
p8
I0
sS'fnames'
p9
(dp10

<failed>
Comment 1 Michael Fulbright 2001-02-11 22:38:51 EST
The hard drive image you are using is missing file(s).
Comment 2 Brock Organ 2001-02-12 15:15:12 EST
Incidentally, we have changed the hard drive install method in the latest public
beta (fisher) to use ISO images of the CDs ... this will allow you to match the
ISOs against known good md5sums BEFORE beginning an install ... hopefully saving
some time and making any failure case more obvious ... thanks for your report!

Note You need to log in before you can comment on or make changes to this bug.